package com.example.tablesorting;

import java.util.Locale;

import com.vaadin.data.util.converter.Converter;

public class TestConverter implements Converter<String, Integer> {

	@Override
	public Integer convertToModel(String value, Class<? extends Integer> targetType, Locale locale)
			throws com.vaadin.data.util.converter.Converter.ConversionException {
		if("Z".equals(value)) {
			return 0;
		}
		else if("Y".equals(value)) {
			return 1;
		}
		else if("X".equals(value)) {
			return 2;
		}
		
		return null;
	}

	@Override
	public String convertToPresentation(Integer value, Class<? extends String> targetType, Locale locale)
			throws com.vaadin.data.util.converter.Converter.ConversionException {
		if(value == 0) {
			return "Z";
		}
		else if(value == 1) {
			return "Y";
		}
		else if(value == 2) {
			return "X";
		}
		
		return "?";
	}

	@Override
	public Class<Integer> getModelType() {
		return Integer.class;
	}

	@Override
	public Class<String> getPresentationType() {
		return String.class;
	}
	
	

}
